Subject: bug#44318: 28.0.50; Problem with ispell/flyspell and ""enchant"" backend

From: dinkonin <[email-masked]>
Date: Mon, 2 Nov 2020 17:41:11 +0200

Thanks you Reuben Thomas, I hope this gets resolved in the best way
possible,

Unfortunately Arch maintainers have declined looking at this with the
following Catch 22 comment:

>> FS#68499 - [enchant] Warnings about optional dependencies.>> Reason for
closing: Not a bug
>> Additional comments about closing: Warnings are not errors. If emacs
Flyspell doesn't work upon seeing enchant *warnings*, Flyspell should be
fixed

As for me, I think I will refrain from reporting more bugs for now.
Be safe.

On Mon, Nov 2, 2020 at 10:35 AM Reuben Thomas <[email-masked]> wrote:

> On Mon, 2 Nov 2020 at 03:34, Eli Zaretskii <[email-masked]> wrote:
>
>>
>> Thanks, but I'm not interested in working around installation problems
>> of programs we invoke.  It's a slippery slope, with never-ending
>> additional requests we will have to honor.
>>
>
> The reporter and I seem to have swapped positions on this!
>
> I believe that the ispell.el code (which I wrote) is buggy: it should not
> be incorporating warnings into its output.
>
> Also, the patch I offered is a simplification of the original code. So, I
> don't think we are losing here.
>
> Eli, I quite agree with your sentiment, and I would certainly not advocate
> installing a workaround in Emacs unless there were compelling reasons.
> However, I do not see this as a workaround, and as it is also a
> simplification, I don't see a problem.
>
> --
> https://rrt.sc3d.org
>